### Method

# Gck Object destroy

#### Declaration [src]

    gboolean
    gck_object_destroy (
      GckObject* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Destroy a PKCS#11 object, deleting it from storage or the session. This call may block for an indefinite period.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellable object, or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the call was successful or not.